PHP 手册
上一页 |  | 下一页

# yp_next

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_next -- Returns the next key-value pair in the named map

## 说明

array yp_next ( string domain, string map, string key )

Returns the next key-value pair in the named `map` after the specified `key`.

## 参数

`domain`

`map`

`key`

## 返回值

Returns the next key-value pair as an array, or `FALSE` on errors.

## 范例

例 1. Example for NIS next

`<?php $entry = yp_next($domain, "passwd.byname", "joe"); if (!$entry) { echo "No more entries found\n"; echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->"; } $key = key($entry); echo "The next entry after joe has key " . $key . " and value " . $entry[$key]; ?>`

## 参见

yp_first()
yp_get_default_domain()

上一页 | 起始页 | 下一页
yp_match | 上一级 | yp_order